Simple Virtual Machine A simple but flexible virtual machine

Functions
SVM processor memory
SVM processors

This module contains API functions to handle SVM processor memory. More...

## Functions
SVM_FUNCTION SVM_Value_Pointer | svm_processor_get_currentpointer (const void *svm, const SVM_Kernel kernel)
| This function extracts the current memory pointer of a processor. More...
SVM_FUNCTION void | svm_processor_set_currentpointer (const void *svm, const SVM_Kernel kernel, const SVM_Value_Pointer pointer)
| This function modifies the current memory pointer of a processor. More...

## Detailed Description

This module contains API functions to handle SVM processor memory.

## Function Documentation

## ◆ svm_processor_get_currentpointer()

SVM_FUNCTION SVM_Value_Pointer svm_processor_get_currentpointer | ( | const void * | svm,
|  | const SVM_Kernel | kernel
| ) |  |

This function extracts the current memory pointer of a processor.

Parameters

  [in] | svm | The SVM pointer passed as first argument of the callback function.
  [in] | kernel | The kernel in which the targeted processor is.

Returns
  The current pointer value.

Exceptions

  FAILURE | interruption when a parameter is incorrect. (Please refer to the main description page of this API.)
  FAILURE | interruption when the kernel is not owned by our process or is not in a process locked by ours.

See also
  svm_process_ownership_lock
  svm_kernel_get_current

## ◆ svm_processor_set_currentpointer()

SVM_FUNCTION void svm_processor_set_currentpointer | ( | const void * | svm,
|  | const SVM_Kernel | kernel,
|  | const SVM_Value_Pointer | pointer
| ) |  |

This function modifies the current memory pointer of a processor.

Parameters

  [in] | svm | The SVM pointer passed as first argument of the callback function.
  [in] | kernel | The kernel in which the targeted processor is.
  [in] | pointer | The new value of the current memory pointer.

Exceptions

  FAILURE | interruption when a parameter is incorrect. (Please refer to the main description page of this API.)
  FAILURE | interruption when the kernel is not owned by our process or is not in a process locked by ours.

See also
  svm_process_ownership_lock
  svm_kernel_get_current